RolesAddedEvent (gCube Workflow Templates Portlet 2.0.0-SNAPSHOT API)
Date: 2013-05-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wftemplates.client.event
Class RolesAddedEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<RolesAddedEventHandler>
              org.gcube.portlets.admin.wftemplates.client.event.RolesAddedEvent

    public class RolesAddedEvent

extends com.google.gwt.event.shared.GwtEvent<RolesAddedEventHandler>

`RolesAddedEvent` is the event fired in case of new edge created between two steps

Version:
  May 2011 (0.1)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`com.google.gwt.event.shared.GwtEvent.Type<H>`

Field Summary
`static com.google.gwt.event.shared.GwtEvent.Type<RolesAddedEventHandler>` | `TYPE`

Constructor Summary
`RolesAddedEvent(com.orange.links.client.connection.Connection selectedEdge, ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails> roles)`

Method Summary
`protected void` | `dispatch(RolesAddedEventHandler handler)`
`com.google.gwt.event.shared.GwtEvent.Type<RolesAddedEventHandler>` | `getAssociatedType()`
`ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails>` | `getRoles()`
`com.orange.links.client.connection.Connection` | `getSelectedEdge()`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static com.google.gwt.event.shared.GwtEvent.Type<RolesAddedEventHandler> TYPE

Constructor Detail

### RolesAddedEvent

    public RolesAddedEvent(com.orange.links.client.connection.Connection selectedEdge,
                           ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails> roles)

Method Detail

### getRoles

    public ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails> getRoles()

### getSelectedEdge

    public com.orange.links.client.connection.Connection getSelectedEdge()

### getAssociatedType

    public com.google.gwt.event.shared.GwtEvent.Type<RolesAddedEventHandler> getAssociatedType()

  Overrides:
    `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<RolesAddedEventHandler>`

### dispatch

    protected void dispatch(RolesAddedEventHandler handler)

  Specified by:
    `dispatch` in class `com.google.gwt.event.shared.GwtEvent<RolesAddedEventHandler>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.